<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xi="http://www.w3.org/2001/XInclude" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:db="http://docbook.org/ns/docbook" xml:lang="en">
<info><title>Administration tools</title></info>


    <para>This section presents the means offered to a JOnAS administrator to
    act on an administration target:</para>

    <itemizedlist>
      <listitem>
        <para>The JOnAS commands, particulary the
        <link xlink:href="command_guide.html#commands.jonas.jonasadmin">
          jonas admin
        </link> command.
        </para>
      </listitem>

      <listitem>
        <para>Management applications deployed on a JOnAS server. This may by the JonasAdmin web application, or any
        custom J2EE management application based on the <xref linkend="admin.mejb" />.</para>
      </listitem>
      <listitem>
        <para>Any generic JMX management console connected to a target
        server via a JMX Remote Connector <xref linkend="admin.JSR160_support" />.</para>
      </listitem>

      <listitem>
        <para>WebService clients using the WebService end-point exposed by the
        Management EJB</para>
      </listitem>

      <listitem>
        <para>Other mechanisms like ant tasks.</para>
      </listitem>
    </itemizedlist>
  </section>
